Autenticação
Obter Token de Autenticação
POST https://sandbox.auth.flowfinance.com.br/oauth2/token
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 400 Bad Request | invalid_client | — | 400 - As credencias informadas são inválidas |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Pessoas
Enviar KYC Externo
POST {{api_host}}/banking/originator/persons/background-check/external?force=true
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 400 Bad Request | Constraint violation error | taxpayer_id: invalid Brazilian corporate taxpayer registry number (CNPJ), invalid Brazilian individual taxpayer registry number (CPF) | 400 - O campo 'taxpayer' é inválido |
| 400 Bad Request | Constraint violation error | taxpayer_id: must not be empty | 400 - O campo 'taxpayer' é obrigatório |
| 400 Bad Request | Invalid value for parameter named force | — | 400 - O campo 'force' é inválido |
| 400 Bad Request | Constraint violation error | taxpayer_id: invalid Brazilian corporate taxpayer registry number (CNPJ), invalid Brazilian individual taxpayer registry number (CPF) | 400 - O campo 'taxpayer' é inválido |
| 400 Bad Request | Constraint violation error | taxpayer_id: must not be empty | 400 - O campo 'taxpayer' é obrigatório |
| 400 Bad Request | Invalid value for parameter named force | — | 400 - O campo 'force' é inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar KYC de CPF
GET {{api_host}}/banking/originator/persons/background-check?taxpayer_id={{taxpayer_id}}
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar KYC de CPF de Forma Antecipada
POST {{api_host}}/banking/originator/persons/background-check
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar Termo de Aceite de SCR de Pessoa
GET {{api_host}}/banking/originator/persons/{{person_id}}/scr/evidence
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 404 Not Found | Entity not found error | — | 404 - Termo de aceite não foi encontrado |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Criar Termo de Aceite de SCR de Pessoa
POST {{api_host}}/banking/originator/persons/{{person_id}}/scr/evidence
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 415 Unsupported Media Type | — | — | 415 - O content-type não é permitido para requisição |
| 500 Internal Server Error | Internal server error: arquivo inválido ou boundary multipart não encontrado | — | 500 - Arquivo inválido ou não foi enviado |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar SCR Específico de Pessoa
GET {{api_url_base}}/banking/originator/persons/{{person_id}}/scr/{{scr_id}}
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 404 Not Found | Entity not found error | — | 404 - O ID da Pessoa ou o ID do SCR não foi encontrado |
| 400 Bad Request | Invalid value for parameter named scrId | — | 400 - O parâmetro 'scr_id' é inválido |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar SCR de Pessoa
GET {{api_url_base}}/banking/originator/persons/{{person_id}}/scr?refresh=true
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 404 Not Found | Entity not found error | — | 404 - O ID da Pessoa não foi encontrado ou não pertence ao Originador |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar SCR por CPF/CNPJ
POST https://platform.flowfinance.com.br/banking/originator/scr
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 400 Bad Request | Constraint violation error | evidence: must not be empty | 400 - O campo 'evidence' é obrigatório |
| 400 Bad Request | Constraint violation error | taxpayer_id: must not be empty | 400 - O campo 'taxpayer_id' é obrigatório |
| 400 Bad Request | Constraint violation error | taxpayer_id: invalid Brazilian corporate taxpayer registry number (CNPJ), invalid Brazilian individual taxpayer registry number (CPF) | 400 - O valor informado no campo 'taxpayer_id' é inválido |
| 400 Bad Request | Constraint violation error | taxpayer_id: invalid Brazilian individual taxpayer registry number (CPF), must not be empty, invalid Brazilian corporate taxpayer registry number (CNP... | 400 - O valor informado no campo 'taxpayer_id' não pode ser vazio |
| 400 Bad Request | Constraint violation error | evidence: must not be empty | 400 - O valor informado no campo 'evidence' não pode ser vazio |
| 500 Internal Server Error | Internal server error: valor inválido para o campo reference_date | — | 500 - O valor informado no campo 'reference_date' é inválido ou está fora do formato esperado |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Listar Consultas de SCR
GET {{api_url_base}}/banking/originator/persons/{{person_id}}/list-scr?page=1&size=10
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Fazer Download de Documento de Pessoa
GET {{api_url_base}}/banking/originator/persons/batch-import/{{batch_import_id}}/result-file
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 500 Internal Server Error | — | — | 500 - Arquivo não encontrado |
| 404 Not Found | entity not found for id id | — | 404 - Arquivo não encontrado |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Cadastrar Pessoa
POST {{api_url_base}}/banking/originator/persons
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 400 Bad Request | Constraint violation error | taxpayerId: must not be null | 400 - O campo CPF (taxpayer_id) é obrigatório |
| 400 Bad Request | Constraint violation error | taxpayer_id: invalid Brazilian taxpayer id number | 400 - CPF (taxpayer_id) informado é inválido |
| 400 Bad Request | A person with this taxpayer id already exists | — | 400 - CPF informado já está cadastrado |
| 400 Bad Request | Constraint violation error | taxpayer_id: must not be null | 400 - Campo obrigatório não foi enviado (vide objeto 'detail') |
| 500 Internal Server Error | Internal server error: valor inválido para o campo marital_status | — | 500 - O valor/texto informado para o campo não pertence a lista de valores esperada |
| 400 Bad Request | Constraint violation error | email_address: must be a well-formed email address | 400 - O email informado é inválido |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 400 Bad Request | Constraint violation error | fullName: must not be null | 400 - O campo Nome (full_name) é obrigatório |
| 400 Bad Request | Constraint violation error | nationality: must not be null | 400 - O campo Nacionalidade (nationality) é obrigatório |
| 400 Bad Request | Constraint violation error | occupation: must not be null | 400 - O campo Ocupação (occupation) é obrigatório |
| 400 Bad Request | Constraint violation error | phone: must not be null | 400 - O campo Telefone (phone) é obrigatório |
| 400 Bad Request | Constraint violation error | phone.countryCode: must not be blank | 400 - O campo Código Pais do Telefone (phone.countryCode) é obrigatório |
| 400 Bad Request | Constraint violation error | phone.areaCode: must not be blank | 400 - O campo DDD (phone.areaCode) do telefone é obrigatório |
| 400 Bad Request | Constraint violation error | phone.number: must not be blank | 400 - O campo Numero do Telefone (phone.number) é obrigatório |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar Pessoas Cadastradas
GET {{api_url_base}}/banking/originator/persons
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar Pessoa por ID
GET {{api_url_base}}/banking/originator/persons/{{person_id}}
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 404 Not Found | Entity not found error | — | 404 - Cadastro de pessoa não localizado |
| 400 Bad Request | Invalid value for parameter named id | — | 400 - O parâmetro informado está no formato inválido |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Atualizar Cadastro de Pessoa
PUT {{api_url_base}}/banking/originator/persons/{{person_id}}
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 400 Bad Request | Constraint violation error | full_name: must not be null / occupation: must not be null / nationality: must not be null / phone: must not be null | 400 - Campos obrigatórios não enviados |
| 400 Bad Request | Constraint violation error | spouse_taxpayer_id: invalid Brazilian taxpayer id number | 400 - O CPF informado está no formato inválido |
| 400 Bad Request | Constraint violation error | email_address: must be a well-formed email address | 400 - O e-mail informado é inválido |
| 500 Internal Server Error | Internal server error: valor inválido para o campo spouse_date_of_birth | — | 500 - O campo informado está no formato inválido |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Cadastrar Documento de Pessoa
POST {{api_url_base}}/banking/originator/persons/{{person_id}}/documents
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 400 Bad Request | Constraint violation error | type: must not be null | 400 - Um campo obrigatório não foi enviado (vide 'detail') |
| 400 Bad Request | — | — | 400 - O campo 'type' é inválido |
| 415 Unsupported Media Type | — | — | 415 - Tipo de arquivo inválido |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido Copy |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar Documentos de Pessoa
GET {{api_url_base}}/banking/originator/persons/{{person_id}}/documents
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 400 Bad Request | Invalid value for parameter named id | — | 400 - O ID da Pessoa é inválido |
| 404 Not Found | entity not found for id id | — | 404 - O ID da Empresa não foi encontrado ou não pertence ao Originador Copy |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Atualizar Documento de Pessoa
PUT {{api_url_base}}/banking/originator/persons/{{person_id}}/documents/{{document_id}}
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 400 Bad Request | Constraint violation error | type: must not be null | 400 - Um campo obrigatório não foi enviado (vide 'detail') |
| 400 Bad Request | — | — | 400 - O campo 'type' é inválido |
| 404 Not Found | Entity not found error | — | 404 - Arquivo não encontrado |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Excluir Documento de Pessoa
DELETE {{api_url_base}}/banking/originator/persons/{{person_id}}/documents/{{document_id}}
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 404 Not Found | Entity not found error | — | 404 - Arquivo não encontrado |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Criar Relacionamento Pessoa x Empresa
POST {{api_host}}/banking/originator/business/{{business_id}}/relations
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 500 Internal Server Error | Internal server error: valor inválido para o campo id | — | 500 - Um dos campos informados está no formato inválido |
| 500 Internal Server Error | Internal server error: valor inválido para o campo type | — | 500 - O valor do campo 'type' é inválido |
| 400 Bad Request | Constraint violation error | type: must not be null | 400 - Um campo obrigatório não foi enviado (vide campo 'detail') |
| 404 Not Found | entity not found for id id | — | 404 - O ID da Pessoa informado não foi encontrado ou não está associado ao Originador |
| 400 Bad Request | Constraint violation error | share: must be less than or equal to 1 | 400 - O campo 'share' está no formato inválido |
| 400 Bad Request | This relation already exists | — | 400 - Já existe o relacionamento criado com essa Pessoa |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar Relacionamentos de Empresa
GET {{api_host}}/banking/originator/business/{{business_id}}/relations
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Atualizar Relacionamento Pessoa x Empresa
PUT {{api_host}}/banking/originator/business/{{business_id}}/relations/{{relation_id}}
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token inválido |
| 404 Not Found | entity not found for id id | — | 404 - O ID da Pessoa informado não foi encontrado ou não está associado ao Originador |
| 400 Bad Request | Constraint violation error | type: must not be null | 400 - Um campo obrigatório não foi enviado (vide campo 'detail') |
| 500 Internal Server Error | Internal server error: valor inválido para o campo type | — | 500 - O valor do campo 'type' é inválido |
| 400 Bad Request | Constraint violation error | share: must be less than or equal to 1 | 400 - O campo 'share' está no formato inválido |
| 500 Internal Server Error | Internal server error: valor inválido para o campo id | — | 500 - Um dos campos informados está no formato inválido |
| 404 Not Found | Entity not found error | — | 400 - O campo 'relation_id' informado não foi encontrado ou é inválido |
| 400 Bad Request | Invalid value for parameter named id | — | 400 - O campo 'business_id' informado não foi encontrado ou é inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Remover Relacionamento Pessoa x Empresa
DELETE {{api_host}}/banking/originator/business/{{business_id}}/relations/{{relation_id}}
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 400 Bad Request | Invalid value for parameter named relationId | — | 400 - O campo 'relation_id' informado é inválido |
| 400 Bad Request | Invalid value for parameter named id | — | 400 - O campo 'business_id'informado é inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Empresas
Consultar KYC de CNPJ de Empresa
GET {{api_url_base}}/banking/originator/business/background-check?taxpayer_id={{taxpayer_id}}
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar KYC de CNPJ de Forma Antecipada
POST {{api_url_base}}/banking/originator/business/background-check
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar Termo de Aceite de SCR de Empresa
GET {{api_host}}/banking/originator/business/{{business_id}}/scr/evidence
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 404 Not Found | Entity not found error | — | 404 - Termo de aceite não foi encontrado |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Criar Termo de Aceite SCR para Empresa
POST {{api_host}}/banking/originator/business/{{business_id}}/scr/evidence/scr/evidence
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 415 Unsupported Media Type | — | — | 415 - O content-type não é permitido para requisição |
| 500 Internal Server Error | Internal server error: arquivo inválido ou boundary multipart não encontrado | — | 500 - Arquivo inválido ou não foi enviado |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar SCR Específico de Empresa
GET {{api_host}}/banking/originator/business/{{business_id}}/scr/{{scr_id}}
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 404 Not Found | Entity not found error | — | 404 - O ID da Pessoa ou o ID do SCR não foi encontrado |
| 400 Bad Request | Invalid value for parameter named scrId | — | 400 - O parâmetro 'scr_id' é inválido |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar SCR de Empresa
GET {{api_host}}/banking/originator/business/{{business_id}}/scr?refresh=true
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 404 Not Found | Entity not found error | — | 404 - O ID da Pessoa não foi encontrado ou não pertence ao Originador |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar SCR por CNPJ
POST {{api_host}}/banking/originator/scr
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 400 Bad Request | Constraint violation error | evidence: must not be empty | 400 - O campo 'evidence' é obrigatório |
| 400 Bad Request | Constraint violation error | taxpayer_id: must not be empty | 400 - O campo 'taxpayer_id' é obrigatório |
| 400 Bad Request | Constraint violation error | taxpayer_id: invalid Brazilian corporate taxpayer registry number (CNPJ), invalid Brazilian individual taxpayer registry number (CPF) | 400 - O valor informado no campo 'taxpayer_id' é inválido |
| 400 Bad Request | Constraint violation error | taxpayer_id: invalid Brazilian individual taxpayer registry number (CPF), must not be empty, invalid Brazilian corporate taxpayer registry number (CNP... | 400 - O valor informado no campo 'taxpayer_id' não pode ser vazio |
| 400 Bad Request | Constraint violation error | evidence: must not be empty | 400 - O valor informado no campo 'evidence' não pode ser vazio |
| 500 Internal Server Error | Internal server error: valor inválido para o campo reference_date | — | 500 - O valor informado no campo 'reference_date' é inválido ou está fora do formato esperado |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Listar Consultas de SCR de Empresa
GET {{api_host}}/banking/originator/business/{{business_id}}/list-scr?page=1&size=10
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Cadastrar Empresa
POST {{api_url_base}}/banking/originator/business
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 400 Bad Request | Constraint violation error | taxpayer_id: must not be null | 400 - Campo obrigatório não foi enviado (vide objeto 'detail') |
| 400 Bad Request | A business with this taxpayer id already exists | — | 400 - CNPJ informado já está cadastrado |
| 400 Bad Request | Constraint violation error | taxpayer_id: invalid Brazilian CNPJ number | 400 - CNPJ (taxpayer_id) informado é inválido |
| 400 Bad Request | Constraint violation error | email_address: must be a well-formed email address | 400 - O email informado é inválido |
| 500 Internal Server Error | Internal server error: valor inválido para o campo tax_regime | — | 500 - O valor/texto informado para o campo não pertence a lista de valores esperada |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Listar Empresas Cadastradas
GET {{api_url_base}}/banking/originator/business
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar Empresa por ID
GET {{api_url_base}}/banking/originator/business/{{business_id}}
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 404 Not Found | entity not found for id id | — | 404 - Cadastro de Empresa não localizado |
| 400 Bad Request | Invalid value for parameter named id | — | 400 - Formato do parâmetro é inválido |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Atualizar Dados de Empresa
PUT {{api_url_base}}/banking/originator/business/{{business_id}}
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 500 Internal Server Error | Internal server error: valor inválido para o campo foundation_date | — | 400 - Um dos campos enviados está no formato inválido (video 'message') |
| 400 Bad Request | Constraint violation error | email_address: must be a well-formed email address | 400 - E-mail no formato inválido |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 404 Not Found | entity not found for id id | — | 404 - Empresa não localizada ou não associada ao Originador |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Cadastrar Documento de Empresa
POST {{api_url_base}}/banking/originator/business/{{business_id}}/documents
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 400 Bad Request | Constraint violation error | type: must not be null | 400 - Um campo obrigatório não foi enviado (vide 'detail') |
| 400 Bad Request | — | — | 400 - O campo 'type' é inválido |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar Documentos de Empresa
GET {{api_url_base}}/banking/originator/business/{{business_id}}/documents
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 400 Bad Request | Invalid value for parameter named id | — | 400 - O ID da Empresa é inválido |
| 404 Not Found | entity not found for id id | — | 404 - O ID da Empresa não foi encontrado ou não pertence ao Originador |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Atualizar Documento de Empresa
PUT {{api_url_base}}/banking//originator/business/{{business_id}}/documents/{{document_id}}
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 400 Bad Request | Constraint violation error | type: must not be null | 400 - Um campo obrigatório não foi enviado (vide 'detail') |
| 400 Bad Request | — | — | 400 - O campo 'type' é inválido |
| 404 Not Found | Entity not found error | — | 404 - Arquivo não encontrado |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Excluir Documento de Empresa
DELETE {{api_url_base}}/banking//originator/business/{{business_id}}/documents/{{document_id}}
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 404 Not Found | Entity not found error | — | 404 - Arquivo não encontrado |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Fazer Download de Documento de Empresa
GET {{api_url_base}}/banking/originator/business/{{business_id}}/documents/{{document_id}}/file
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 404 Not Found | entity not found for id id | — | 404 - Arquivo não encontrado |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar Linhas de Crédito de Empresa
GET {{api_url_base}}/banking/originator/business/{{business_id}}/qualifications
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar Solicitações de Empresa
GET {{api_url_base}}/banking/originator/business/{{business_id}}/applications?page=<integer>&size=<integer>
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Solicitações
Configurar Assinatura
POST {{api_url_base}}/banking/originator/preferences/sign
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 400 Bad Request | Invalid request error | phone_verification_required: boolean is an invalid value | 400 - Campo obrigatório inválido ou não enviado |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar Configurações de Assinatura
GET {{api_url_base}}/banking/originator/preferences/sign
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Enviar Assinatura de Solicitação (Timestamp)
POST {{api_url_base}}/banking/originator/applications/{{application_id}}/signatures
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 400 Bad Request | Invalid value for parameter named id | — | 400 - O parâmetro 'application_id' é inválido |
| 400 Bad Request | Invalid value for parameter named id | — | 400 - O parâmetro 'application_id' é inválido Copy |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Enviar Assinatura Física de Solicitação (Assinatura Externa)
POST {{api_url_base}}/banking/originator/applications/{{application_id}}/physical-signature
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar Assinaturas de Solicitação
GET {{api_url_base}}/banking/originator/applications/{{application_id}}/signatures
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 400 Bad Request | — | — | 400 - O parâmetro 'application_id' não foi encontrado |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Criar uma Simulação
POST {{api_url_base}}/banking/originator/products/{{product_id}}/preview
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 400 Bad Request | Constraint violation error | requested_amount must not be null | 400 - Campo de requested_amount é obrigatório |
| 400 Bad Request | Invalid request error | schedule_type: mensal is an invalid value | 400 - Campo de periodicidade é inválido |
| 400 Bad Request | Constraint violation error | iofType: must not be null | 400 - Campo de tipo de IOF é obrigatório |
| 400 Bad Request | Invalid request error | iof_type: BUSINES is an invalid value | 400 - Campo de tipo de IOF é inválido |
| 400 Bad Request | Constraint violation error | numPayments: must not be null | 400 - Campo número de parcelas é obrigatório |
| 400 Bad Request | Constraint violation error | interestRate: must not be null | 400 - Campo de taxa de juros é obrigatório |
| 400 Bad Request | Constraint violation error | tac_amount is required | 400 - Campo de TAC é obrigatório |
| 400 Bad Request | Constraint violation error | financeFee: must not be null | 400 - Campo de outras taxas é obrigatório |
| 400 Bad Request | Constraint violation error | disbursementDate: Deve ser uma data no presente ou no futuro, firstPaymentDate: must be a future date | 400 - Data de desembolso inválida, precisa ser uma data atual ou futura |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar Contrato de Solicitação
GET {{api_url_base}}/banking/originator/applications/{{application_id}}/agreement
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 400 Bad Request | UUID string too large | — | 400 - O ID da Solicitação (application_id) excede o limite de caracteres de um UUID |
| 404 Not Found | entity not found for id id | — | 404 - O ID da Solicitação (application_id) informado não foi encontrado ou não possui permissão de consulta |
| 400 Bad Request | Invalid UUID string | — | 400 - O ID da Solicitação (application_id) é inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar Contrato Assinado de Solicitação
GET {{api_url_base}}/banking/originator/applications/{{application_id}}/signed-agreement
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 400 Bad Request | UUID string too large | — | 400 - O ID da Solicitação (application_id) excede o limite de caracteres de um UUID |
| 404 Not Found | entity not found for id id | — | 404 - O ID da Solicitação (application_id) informado não foi encontrado ou não possui permissão de consulta |
| 400 Bad Request | Invalid UUID string | — | 400 - O ID da Solicitação (application_id) é inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Iniciar Tentativa de Desembolso
POST {{api_url_base}}/banking/originator/applications/{{application_id}}/disbursement-attempts
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 404 Not Found | entity not found for id id | — | 404 - O ID da Solicitação (application_id) informado não foi encontrado ou não possui permissão de consulta |
| 400 Bad Request | UUID string too large | — | 400 - O ID da Solicitação (application_id) excede o limite de caracteres de um UUID |
| 400 Bad Request | Invalid UUID string | — | 400 - O ID da Solicitação (application_id) é inválido |
| 400 Bad Request | Constraint violation error | cannot create disbursement attempt for application in status=CANCELED | 400 - Não é possível uma tentativa de desembolso para uma Solicitação no status 'cancelada' |
| 400 Bad Request | Constraint violation error | cannot create disbursement attempt for application in status=PENDING_SIGNATURE | 400 - Não é possível uma tentativa de desembolso para uma Solicitação no status 'pendente de assinatura' |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Listar Tentativas de Desembolso de Solicitação
GET {{api_url_base}}/banking/originator/applications/{{application_id}}/disbursement-attempts/
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 400 Bad Request | UUID string too large | — | 400 - O ID da Solicitação (application_id) excede o limite de caracteres de um UUID |
| 400 Bad Request | Invalid UUID string | — | 400 - O ID da Solicitação (application_id) é inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar Tentativa de Desembolso
GET {{api_url_base}}/banking/originator/applications/{{application_id}}/disbursement-attempts/{{disbursement_attempts_id}}
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 404 Not Found | entity not found for id id | — | 404 - O ID da Tentativa de Desembolso (disbursement_attempts_id) informado não foi encontrado ou não possui permissão de consulta |
| 400 Bad Request | UUID string too large | — | 400 - O ID da Tentativa de Desembolso (disbursement_attempts_id) excede o limite de caracteres de um UUID |
| 400 Bad Request | Invalid UUID string | — | 400 - O ID da Tentativa de Desembolso (disbursement_attempts_id) é inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Fazer Download de Comprovante de Desembolso
GET {{api_url_base}}/banking/originator/applications/receipt/download?id={{application_id}}
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 404 Not Found | entity not found for id id | — | 404 - O ID da Solicitação (application_id) informado não foi encontrado ou não possui permissão de consulta |
| 400 Bad Request | Disbursement receipt not found | — | 400 - Recibo não encontrado ou o desembolso não foi realizado |
| 400 Bad Request | Error during receipt data extraction. Check if the receipt matches the template standard | — | 400 - Ocorreu um erro durante a extração dos dados para geração do comprovante ou o desembolso não foi realizado |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Atualizar Ordem de Pagamento de Solicitação
PUT {{api_url_base}}/banking/originator/applications/{{application_id}}/payment-orders/{{payment_order_id}}
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 400 Bad Request | Invalid UUID string | — | 400 - O ID da ordem de pagamento é inváido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Criar Solicitação
POST {{api_url_base}}/banking/originator/applications
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 404 Not Found | entity not found for id id | — | 400 - A Pessoa indicada não foi encontrada |
| 400 Bad Request | Constraint violation error | issuer_disbursement_type: it's necessary to setup originator's external bank account when using ORIGINATOR for issuer disbursement type | 400 - Para o tipo de desembolso 'ORIGINATOR' é obrigatório enviar os dados bancários externos (external_bank_account) |
| 400 Bad Request | Constraint violation error | beneficiary_account: beneficiary account is required for this product | 400 - O campo de conta bancária do beneficiário é obrigatório |
| 400 Bad Request | Constraint violation error | disbursement_date: must not be null | 400 - O campo de data de desembolso (disbursement_date) é obrigatório |
| 400 Bad Request | Constraint violation error | funding: must not be null | 400 - O campo de identificação do Fundo (funding) é obrigatório |
| 400 Bad Request | Constraint violation error | product: must not be null | 400 - O campo de identificação do Produto (product) é obrigatório |
| 400 Bad Request | Constraint violation error | borrower: must not be null | 400 - O campo de identificação do solicitante (borrower) é obrigatório |
| 400 Bad Request | Constraint violation error | first_payment_date: must not be null | 400 - O campo de data de primeiro pagamento (first_payment_date) é obrigatório |
| 400 Bad Request | Constraint violation error | numPayments: must not be null | 400 - O campo de número de parcelas (numPayments) é obrigatório |
| 400 Bad Request | Constraint violation error | tacAmount: must not be null | 400 - O campo de TAC (tac_amount) é obrigatório |
| 400 Bad Request | Constraint violation error | interestRate: must not be null | 400 - O campo de taxa de juros (interest_rate) é obrigatório |
| 400 Bad Request | Constraint violation error | financeFee: must not be null | 400 - O campo de 'outras taxas' (finance_fee) é obrigatório |
| 400 Bad Request | Constraint violation error | requestedAmount: must not be null | 400 - O campo de 'valor desejado'(requested_amount) é obrigatório |
| 400 Bad Request | Constraint violation error | disbursementDate: must be a date in the present or in the future | 400 - O campo de data de desembolso (disbursement_date) precisa ser uma data futura |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Criar Solicitação com Juros Pós-Fixados
POST {{api_url_base}}/banking/originator/applications2
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 404 Not Found | entity not found for id id | — | 400 - A Pessoa indicada não foi encontrada |
| 400 Bad Request | Constraint violation error | issuer_disbursement_type: it's necessary to setup originator's external bank account when using ORIGINATOR for issuer disbursement type | 400 - Para o tipo de desembolso 'ORIGINATOR' é obrigatório enviar os dados bancários externos (external_bank_account) |
| 400 Bad Request | Constraint violation error | beneficiary_account: beneficiary account is required for this product | 400 - O campo de conta bancária do beneficiário é obrigatório |
| 400 Bad Request | Constraint violation error | disbursement_date: must not be null | 400 - O campo de data de desembolso (disbursement_date) é obrigatório |
| 400 Bad Request | Constraint violation error | funding: must not be null | 400 - O campo de identificação do Fundo (funding) é obrigatório |
| 400 Bad Request | Constraint violation error | product: must not be null | 400 - O campo de identificação do Produto (product) é obrigatório |
| 400 Bad Request | Constraint violation error | borrower: must not be null | 400 - O campo de identificação do solicitante (borrower) é obrigatório |
| 400 Bad Request | Constraint violation error | first_payment_date: must not be null | 400 - O campo de data de primeiro pagamento (first_payment_date) é obrigatório |
| 400 Bad Request | Constraint violation error | numPayments: must not be null | 400 - O campo de número de parcelas (numPayments) é obrigatório |
| 400 Bad Request | Constraint violation error | tacAmount: must not be null | 400 - O campo de TAC (tac_amount) é obrigatório |
| 400 Bad Request | Constraint violation error | interestRate: must not be null | 400 - O campo de taxa de juros (interest_rate) é obrigatório |
| 400 Bad Request | Constraint violation error | financeFee: must not be null | 400 - O campo de 'outras taxas' (finance_fee) é obrigatório |
| 400 Bad Request | Constraint violation error | requestedAmount: must not be null | 400 - O campo de 'valor desejado'(requested_amount) é obrigatório |
| 400 Bad Request | Constraint violation error | disbursementDate: must be a date in the present or in the future | 400 - O campo de data de desembolso (disbursement_date) precisa ser uma data futura |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Listar Solicitações
GET {{api_url_base}}/banking/originator/applications
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 400 Bad Request | Invalid filter value: cannot be transformed to JSON object | — | Listar Solicitações |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Cancelar Solicitação
POST {{api_url_base}}/banking/originator/applications/{{application_id}}/cancel
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 404 Not Found | entity not found for id id | — | 404 - O ID da Solicitação (application_id) informado não foi encontrado ou não possui permissão de consulta |
| 400 Bad Request | UUID string too large | — | 400 - O ID da Solicitação (application_id) excede o limite de caracteres de um UUID |
| 400 Bad Request | Invalid UUID string | — | 400 - O ID da Solicitação (application_id) é inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar Solicitação
GET {{api_url_base}}/banking/originator/applications/{{application_id}}
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 404 Not Found | entity not found for id id | — | 404 - O ID da Solicitação (application_id) informado não foi encontrado ou não possui permissão de consulta |
| 400 Bad Request | UUID string too large | — | 400 - O ID da Solicitação (application_id) excede o limite de caracteres de um UUID |
| 400 Bad Request | Invalid UUID string | — | 400 - O ID da Solicitação (application_id) é inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Produtos Licenciados
Listar Produtos Licenciados
GET {{api_url_base}}/banking/originator/products
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar Produto
GET {{api_url_base}}/banking/originator/products/{{product_id}}
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 404 Not Found | entity not found for id id | — | 400 - O ID de Produto informado não foi encontrado |
| 400 Bad Request | UUID string too large | — | 400 - O ID de Produto informado é inválido pois excede o tamanho de um UUID |
| 400 Bad Request | Invalid UUID string | — | 400 - O ID de Produto informado é inválido |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Consultar Campos Personalizáveis de Produto
GET {{api_url_base}}/banking/originator/products/{{product_id}}/custom-variables
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Webhooks
Listar Webhooks
GET {{api_url_base}}/banking/originator/webhooks
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Cadastrar Webhook
POST {{api_url_base}}/banking/originator/webhooks
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 400 Bad Request | Constraint violation error | url: must be a valid URL | 400 - URL inválida. O campo 'url' precisa ser uma URL válida. |
| 400 Bad Request | Constraint violation error | url: must not be null | 400 - O campo de 'url' é obrigatório. |
| 400 Bad Request | A webhook is already defined | — | 400 - URL de webhook já está cadastrada |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Atualizar Webhook
PUT {{api_url_base}}/banking/originator/webhooks/{{webhook_id}}
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 400 Bad Request | Constraint violation error | url: must be a valid URL | 400 - URL inválida. O campo 'url' precisa ser uma URL válida. |
| 400 Bad Request | Constraint violation error | url: must not be null | 400 - O campo de 'url' é obrigatório. |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 500 Internal Server Error | — | — | 500 - Erro interno no servidor |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |
Excluir Webhook
DELETE {{api_url_base}}/banking/originator/webhooks/{{webhook_id}}
| Status HTTP | Erro (Mensagem) | Detalhe (Campo/Regra) | Indicativo |
|---|---|---|---|
| 400 Bad Request | Invalid UUID string | — | 400 - O ID do webhook informado é inválido |
| 401 Unauthorized | — | — | 401 - Consulta não autorizada ou auth token está inválido |
| 500 Internal Server Error | — | — | 500 - O ID do webhook informado não foi encontrado. |
| 403 Forbidden | — | — | 403 - Acesso negado. O token não possui permissão para acessar este recurso |
| 502 Bad Gateway | — | — | 502 - Serviço indisponível ou resposta inválida do servidor de origem |
| 503 Service Unavailable | — | — | 503 - Serviço temporariamente indisponível |